from selenium.webdriver.support import expected_conditions as EC
from selenium.webdriver.common.by import By

class page_login():
    textbox_email_id = "member_email"
    button_next_step_1st_class_name = "login100-form-btn"
    textbox_password_id = "member_password"
    button_next_step_2nd_id = "btn-ready-send"

    def __init__(self,driver,wait):
        self.driver = driver
        self.wait = wait

    def wait_email_textbox(self):
        self.wait.until(EC.element_to_be_clickable((By.ID, self.textbox_email_id)))
    def input_email_textbox(self,email):
        self.driver.find_element_by_id(self.textbox_email_id).send_keys(email)

    def wait_password_textbox(self):
        self.wait.until(EC.element_to_be_clickable((By.ID, self.textbox_password_id)))
    def input_password_textbox(self,password):
        self.driver.find_element_by_id(self.textbox_password_id).send_keys(password)
    
    def wait_1st_next_step_button(self):
        self.wait.until(EC.element_to_be_clickable((By.CLASS_NAME, self.button_next_step_1st_class_name)))
    def click_1st_next_step_button(self):
        self.driver.find_element_by_class_name(self.button_next_step_1st_class_name).click()

    def wait_2nd_next_step_button(self):
        self.wait.until(EC.element_to_be_clickable((By.ID, self.button_next_step_2nd_id)))
    def click_2nd_next_step_button(self):
        self.driver.find_element_by_id(self.button_next_step_2nd_id).click()